<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Rain Like Hammers</Series>
  <Number>4</Number>
  <Web>https://www.comixology.com/Rain-Like-Hammers-4-of-5/digital-comic/918826</Web>
  <Summary>Supercriminal Brik Blok plans to steal a high-ranking aristocrat's fingers and use them as keys to access the palace-world's deepest sub-levels.
Elsewhere, a detective working for the Immortals, and his sexy-sex robot assistant, are traveling across the solar system to investigate the strange happenings on Skycradle.
 
SCI-FI FINGER BUTCHERY IN FULL COLOR!!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB918826], [ASINB08VL785LC]</Notes>
  <Publisher>Image</Publisher>
  <Genre>Science Fiction</Genre>
  <PageCount>55</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
